Subject: Re: bug#46304: 28.0.50; rst-mode fill-paragraph broken in bullet-lists

From: Stefan Merten <[email-masked]>
Date: Sat, 25 Jun 2022 16:44:54 +0200

Hi Lars, Thomas!

Last week (9 days ago) Lars Ingebrigtsen wrote:
> Thomas Hisch <[email-masked]> writes:
>
>> * asdfasf dafd sfkdkfaslfksdflk mdfa sdfsdf kldf a kdasfd asf
>>   :math:`\kappa` dfaskdflsdf dasfdfas df.
>> 
>> * asdfasf dafd sfkdkfaslfksdflk mdfa sdfsdf kldf a kdasfd asf kksadfo
>>   mmommmmmasd :math:`\kappa` dfaskdflsdf dasfdfas df.
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)

Thanks, I never saw that.

> I can reproduce this in Emacs 29, too -- it seems to be because :math:
> is matched by:
> 
>     (fld-tag ":" fldnam-tag ":") ; A field marker.

That is - on this level of syntax analysis - really an ambiguity in
the syntax of reStructuredText. See
https://docutils.sourceforge.io/docs/ref/rst/restructuredtext.html#field-lists

See the example. The line starting with ":Indentation:" is the same
case and the example indents it correctly.

I think you could resolve the ambiguity by suffixing the ":math:"
instead: "`\kappa`:math:" should work.

> I've added Stefan to the CCs; perhaps he has some comments.

Thanks a lot.

This is really a corner case. I'd say: Won't fix.

						Regards

						Stefan